x=load("doctor.txt");
%x=load("abortionist.txt");
numdat=size(x,1);
dimtoplot=1;
binstoplot=20;
stddev=std(x(:,dimtoplot));
vard=var(x(:,dimtoplot));
meany=mean(x(:,dimtoplot));

maxx=max(x(:,dimtoplot));
minx=min(x(:,dimtoplot));
n=1000;
stepval=(maxx-minx)/(1.0*n);
y=[minx:stepval:maxx];
arbitraryscalefactor=(1.0*numdat)*(maxx-minx)/binstoplot;

py=(arbitraryscalefactor).*((1/sqrt(2*pi*vard))*exp(-0.5*((y-meany).^2)/vard));

%% now plot as a function of y for different values of mean of the prior over y, uy
figure(1);
%clf;
%hold off;
histogram(x(:,dimtoplot),'NumBins',binstoplot,'FaceColor','g');
hold on;
plot(y',py','LineWidth',2);
set(gca,'FontWeight', 'bold');
ylabel('P(y)','FontSize',12,'FontWeight','bold');
xlabel('Y=power','FontSize',12,'FontWeight','bold');
